Update a specific incident status page event by id
curl --request PUT \
--url https://api.rootly.com/v1/status-page-events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_status_page_events",
"attributes": {
"event": "<string>",
"status_page_id": "<string>",
"status": "investigating",
"notify_subscribers": false,
"should_tweet": false
}
}
}
'{
"data": {
"id": "d14ef625-a4e6-4f3d-b19f-7f995dcd2847",
"type": "incident_status_page_events",
"attributes": {
"incident_id": "0067db7f-18dc-4ad2-8f89-496ee6d54203",
"status_page_id": "177dbaf4-ce87-4763-9384-480e4665548d",
"status": "investigating",
"notify_subscribers": false,
"should_tweet": false,
"started_at": "2026-02-13T18:08:18.586-08:00",
"created_at": "2026-02-13T18:08:18.586-08:00",
"updated_at": "2026-02-13T18:08:19.234-08:00",
"event": "Event updated"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
incident_status_page_event updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/status-page-events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_status_page_events",
"attributes": {
"event": "<string>",
"status_page_id": "<string>",
"status": "investigating",
"notify_subscribers": false,
"should_tweet": false
}
}
}
'{
"data": {
"id": "d14ef625-a4e6-4f3d-b19f-7f995dcd2847",
"type": "incident_status_page_events",
"attributes": {
"incident_id": "0067db7f-18dc-4ad2-8f89-496ee6d54203",
"status_page_id": "177dbaf4-ce87-4763-9384-480e4665548d",
"status": "investigating",
"notify_subscribers": false,
"should_tweet": false,
"started_at": "2026-02-13T18:08:18.586-08:00",
"created_at": "2026-02-13T18:08:18.586-08:00",
"updated_at": "2026-02-13T18:08:19.234-08:00",
"event": "Event updated"
}
}
}